ParcelPoint (Powered by Hubbed) provides smart delivery solutions through a network of 2,500+ ParcelPoints across Australia, offering Click & Collect, Dropoff Delivery, and Returns for accounts shipping from Australia.
This guide provides developers with the details needed to build ParcelPoint shipping capabilities into your ShipStation API workflows.
If you are using or plan to use the ParcelPoint services included with ShipStation API, rather than connecting your own ParcelPoint account, see our ParcelPoint from ShipStation guide.
| Property | Type | Required? | Description |
|---|---|---|---|
nickname | string | required | Used to identify your account in ShipStation API |
apikey_return | string | Optional | Your ParcelPoint API key for Returns. Required to enable the Returns service. |
apikey_click_collect | string | Optional | Your ParcelPoint API key for Click & Collect. Required to enable the Click & Collect service. |
apikey_dropoff_delivery | string | Optional | Your ParcelPoint API key for Dropoff Delivery. Required to enable the Dropoff Delivery service. |
depot_code | string | Optional | Your ParcelPoint depot code. |
enable_service_points | boolean | Optional | Enables shipping to ParcelPoint service points for eligible services. |
- An active ParcelPoint account is required before connecting. Contact ParcelPoint to set up an account and obtain your API keys.
- Accounts must be based in Australia.
- Include a notification phone number and/or email address on your shipments to receive ParcelPoint's SMS and email delivery notifications.
You can connect a ParcelPoint account using the POST method to the /v1/connections/carriers/ endpoint, or via the ShipStation API Dashboard.
carrier_name: hubbed
POST /v1/connections/carriers/:carrier_name
Sample request:
POST /v1/connections/carriers/hubbed HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"nickname": "My ParcelPoint account",
"apikey_return": "your-hubbed-returns-api-key",
"apikey_click_collect": "your-hubbed-click-and-collect-api-key",
"apikey_dropoff_delivery": "your-hubbed-dropoff-delivery-api-key",
"depot_code": "your-hubbed-depot-code",
"enable_service_points": true
}A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.
To connect your ParcelPoint account via the ShipStation API application:
- Navigate to Carriers under Setup.
- Select Connect my accounts in the My Carrier Accounts section.
- Choose your Ship From country.
- Select ParcelPoint from the Available Carriers list.
- Enter your ParcelPoint API keys for Returns and Dropoff Delivery into the corresponding fields.
- Click Connect.
The Dashboard only supports entering the Returns and Dropoff Delivery API keys. To enable the Click & Collect service, or to set depot_code or enable_service_points, use the Connect via Endpoint method instead.
See the ShipStation API Carriers: Australia help center article for more about connecting and using carriers through the ShipStation API application.
ParcelPoint supports rate shopping with ShipStation API.
Available ParcelPoint services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint at any time.
| Service | API Code |
|---|---|
| Click & Collect | hubbed_click_collect |
| Dropoff Delivery | hubbed_dropoff_delivery |
ParcelPoint does not support international shipping.
ParcelPoint supports the following service for return labels:
| Service | API Code |
|---|---|
| Returns | hubbed_return |
Review the Returns page for details on creating return labels with ShipStation API.
The following carrier package types are available for ParcelPoint:
| Name | API Code |
|---|---|
| A2 Satchel | hubbed_a2_satchel |
| A3 Satchel | hubbed_a3_satchel |
| A4 Satchel | hubbed_a4_satchel |
| A5 Satchel | hubbed_a5_satchel |
| Letter | hubbed_letter |
| Small Box | hubbed_small |
| Large Box | hubbed_large |
| Custom Box | hubbed_custom_box |
ParcelPoint does not support adding carrier insurance to shipments created with ShipStation API. You can add ShipStation's third-party coverage to ParcelPoint shipments instead.
Review the Insurance page for details about adding shipment insurance with ShipStation API.
- Label formats: PDF
ParcelPoint supports adding custom label messages.
- Label message 1 only.
ParcelPoint does not support multi-package shipping.
ParcelPoint does not support label branding.
ParcelPoint supports voiding labels with ShipStation API.
ParcelPoint supports Paperless/QR code labels for the Click & Collect service. See our Paperless Labels page for details.
ParcelPoint does not support international shipping, so customs declarations are not applicable.
ParcelPoint does not require or support delivery confirmation options using the confirmation property.
ParcelPoint supports the following advanced options, which you can add to the shipment object when creating a shipment or label.
| Option | Type | Default Value | Description |
|---|---|---|---|
NotificationPhone | string | none | Recipient phone number for ParcelPoint SMS delivery notifications. |
NotificationEmail | string | none | Recipient email address for ParcelPoint email delivery notifications. |
To ensure you always have the most up-to-date information about a carrier's advanced options, use the list carrier options call.
ParcelPoint sends the recipient SMS or email notifications while the shipment is en route to its destination. To enable notifications, include the NotificationPhone and/or NotificationEmail properties in the advanced_options object:
"advanced_options": {
"NotificationPhone": "61491570156",
"NotificationEmail": "testaaaaaaa@test.com"
}ParcelPoint does not support creating manifests or End of Day (EOD) documents, and manifesting is not required for ParcelPoint shipments.
ParcelPoint operates through drop-off at ParcelPoints rather than scheduled carrier pickups, so scheduling pickups is not supported.
ParcelPoint supports shipping to service points for eligible services. Enable service points on your connection using the enable_service_points property.
See our Intro to Service Points for more details about using service points with ShipStation API.
ParcelPoint supports receiving tracking updates. Review our Track a Package guide for details on tracking with ShipStation API.
See the Disconnect section in our Delete a Carrier page for the process of deleting or disconnecting a carrier from ShipStation API.
NOTE:
If you disconnect a carrier account and reconnect it, the account will have a new
carrier_idin ShipStation API.